<app-navigation></app-navigation>
<div class="container" id="container">
    <!-- LogIn form -->
    <div>
        <form [formGroup]="editName" (ngSubmit)="submitEditName(editName.value)">
            <h1 style="margin-top: 10%;" >Edit account</h1>
            <input type="text" placeholder="Username" name="Name" id="Name" formControlName="name">
            <p class="success-message" *ngIf="successName">You have changed name successfully</p>
            <p class="error-message" *ngIf="!validName">Name already exists</p>
            <button type="submit" [disabled]="!editName.valid" >Update name</button>
        </form>
    </div>
    <div>
        <form [formGroup]="editEmail" (ngSubmit)="submitEditEmail(editEmail.value)">
            <input type="email" placeholder="Email" name="logEmail" id="logEmail" formControlName="email" />
            <p class="success-message" *ngIf="successEmail && !editEmailGet().errors?.email">You have changed email successfully</p>
            <p class="error-message" *ngIf="!validEmail && !editEmailGet().errors?.email">Email already exists</p>
            <p class="error-message" *ngIf="editEmailGet().errors?.email">Email is not valid</p>
            <button type="submit" [disabled]="!editEmail.valid" >Update email</button>
        </form>
    </div>
    <div>
        <form [formGroup]="editPass" (ngSubmit)="submitEditPass(editPass.value)">

          <div class="form-row">
            <div class="form-group col-md-10">
              <input matInput class="form-control" type="password" placeholder="Password" name="logPass" id="logPass" formControlName="password" [type]="hide ? 'password': 'text'"/>
            </div>
            <div class="form-group col-md-2">
              <i class="material-icons" matSuffix (click)= "hide = !hide" style="cursor:pointer;">
                  {{hide ? 'visibility':'visibility_off'}}
              </i>
          </div>
        </div>
            <p class="success-message" *ngIf="successPass && !editPassGet().errors?.minlength">You have changed password successfully</p>
            <p class="error-message" *ngIf="!validPass && !editPassGet().errors?.minlength">New password is the same as old</p>
            <p class="error-message" *ngIf="editPassGet().errors?.minlength">Password must be at least 8 characters long</p>
            <button type="submit" [disabled]="!editPass.valid" >Update password</button>
        </form>
    </div>
    <div>
        <form [formGroup]="deleteAcc" (ngSubmit)="modalOpen()">
            <button style="margin-top: 15%; background: darkred; border: 1px solid darkred;"type="submit" >Delete account <i class="fas fa-trash-alt"></i></button>
        </form>
    </div>

</div>

<div id="myModal" style="margin-top: 10%;" class="modal" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header" style="border: 1px solid coral;background: coral;color: #fff;align-items: center;text-align: center;">
          <h3 class="col-12 modal-title text-center">Confirm account deletion</h3>
        </div>
        <div class="modal-body text-center">
          <p>Are you sure you want to delete account?</p>
        </div>
        <div class="modal-footer">
          <button type="button" style="margin-right: 10%;background: darkred; border: 1px solid darkred;" class="btn btn-primary" (click)="DeleteAccount()">Delete <i class="fas fa-trash-alt"></i></button>
          <button type="button" style="margin-right: 15%;background: coral; border: 1px solid coral;" (click)="modalClose()">Close</button>
        </div>
      </div>
    </div>
  </div>
